Package twisted :: Package lore :: Module latex :: Class FootnoteLatexSpitter

[show private | hide private]
[frames | no frames]

## Class FootnoteLatexSpitter

    BaseLatexSpitter --+
                       |
            LatexSpitter --+
                           |
                          FootnoteLatexSpitter

For multi-paragraph footnotes, this avoids having an empty leading paragraph.

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `convert_dia(self, src, target)` (inherited from `LatexSpitter`)
| `convert_png(self, src, target)` (inherited from `LatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_listing(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_name(self, node)` (inherited from `LatexSpitter`)
| `visitNode_code(self, node)` (inherited from `LatexSpitter`)
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h3(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h4(self, node)` (inherited from `LatexSpitter`)
| `visitNode_img(self, node)` (inherited from `LatexSpitter`)
| `visitNode_p(self, node)`
| `visitNode_pre(self, node)` (inherited from `LatexSpitter`)
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_span_footnote(self, node)`
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_table(self, node)` (inherited from `LatexSpitter`)
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)` (inherited from `LatexSpitter`)
| `writeNodeData(self, node)` (inherited from `HeadingLatexSpitter`)

Class Variable Summary
`string` | `start_p`

Class Variable Details

### start_p

  Type:
    `string`
  Value:

        ''

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net